Subject: Re: [PATCH] autoconf: Add checking for BSD-compatibile 'install' program

From: Jakub Narebski <[email-masked]>
Date: Thu, 07 Sep 2006 23:39:28 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> Uncomment `AC_PROG_INSTALL' macro in configure.ac, and setting
>> `INSTALL' variable in config.mak.in
>>
>> Add `install-sh' shell script (required when using `AC_PROG_INSTALL'
>> macro) scriptversion=2005-11-07.23, taken from KDE SDK 3.5.3.
>>
>> Signed-off-by: Jakub Narebski <[email-masked]>
>> ---
>> Perhaps `install-sh' script should be replaced by something simplier,
>> for example by script which was sent to git mailing list, but AFAIK
>> not accepted.
> 
> That somehow sounds like whining.  I do not think it was never
> proposed for inclusion but was just offered as a friendly
> "somebody else might find it useful".

Sorry, my mistake. I thought that the install-sh script was proposed as
solution for platforms lacking install program...

> In any case, I have two issues, but one non-issue first.  I am
> not opposed to including install-sh that is maintained somewhere
> upstream and GPLv2 compatible.
> 
>  - I do not particularly like to have too many autoconf related
>    cruft at the toplevel, and I am wondering if we can move it
>    to say compat/install-sh.

We can do this by adding AC_CONFIG_AUX_DIR(DIR) to configure.ac,
where DIR would be for example 'compat/' or 'compat/autoconf/'

>  - I suspect this fall-back would set "INSTALL = ./install-sh"
>    (if you have it in compat, "INSTALL = compat/install-sh").  I
>    wonder if it breaks builds in subdirectories
>    (i.e. Documentation/ and templates/).

Yes, it sets "INSTALL = ./install-sh -c". And it does make problems for
e.g. 'make install-doc'. I don't know how this should be resolved...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git